Bug 598 - Incorrect symbols when enter russian text in konsole
: Incorrect symbols when enter russian text in konsole
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 15:30 MSD by FirstLevel
Modified: 2012-08-29 10:05 MSD (History)
3 users (show)

See Also:
RPM Package: bash-4.2-11-rosa.lts2012.0.i586
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-07-29 15:30:11 MSD
Description of problem:
Accidentally printed in Russian some text in konsole, press enter and see this:


$ тест
bash: $'\321\202\320\265\321\201\321\202': команда не найдена

Is there any possibility to see in answer the original russian text instead of '\321\202\320\265\321\201\321\202' ?


konsole-4.8.3-1-rosa.lts2012.0.i586


$ locale
LANG=ru_RU.UTF-8
LC_CTYPE=ru_RU.UTF-8
LC_NUMERIC=ru_RU.UTF-8
LC_TIME=ru_RU.UTF-8
LC_COLLATE=ru_RU.UTF-8
LC_MONETARY=ru_RU.UTF-8
LC_MESSAGES=ru_RU.UTF-8
LC_PAPER=ru_RU.UTF-8
LC_NAME=ru_RU.UTF-8
LC_ADDRESS=ru_RU.UTF-8
LC_TELEPHONE=ru_RU.UTF-8
LC_MEASUREMENT=ru_RU.UTF-8
LC_IDENTIFICATION=ru_RU.UTF-8
LC_ALL=


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Dmitry Mikhirev 2012-08-06 22:55:45 MSD
Buildlists:
i586: https://abf.rosalinux.ru/build_lists/658331
x86_64: https://abf.rosalinux.ru/build_lists/658332

Advisory:
Wrong displaying multibyte characters in "command not found" message and some other messages was fixed.
Comment 2 Alexander Petryakov 2012-08-08 00:28:04 MSD
bash-4.2-11.1
************** Advisory **************
Wrong displaying multibyte characters in "command not found" message and some other messages was fixed.
**************************************
QA Verified